org.springframework.batch.sample.domain.football

## Class Game

- java.lang.Object
- - org.springframework.batch.sample.domain.football.Game

- All Implemented Interfaces:
    java.io.Serializable

      public class Game
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Game()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAttempts()`
    `int` | `getCompletes()`
    `java.lang.String` | `getId()`
    `int` | `getInterceptions()`
    `java.lang.String` | `getOpponent()`
    `int` | `getPassingTd()`
    `int` | `getPassingYards()`
    `int` | `getReceptions()`
    `int` | `getReceptionYards()`
    `int` | `getRushes()`
    `int` | `getRushYards()`
    `java.lang.String` | `getTeam()`
    `int` | `getTotalTd()`
    `int` | `getWeek()`
    `int` | `getYear()`
    `int` | `hashCode()`
    `void` | `setAttempts(int attempts)`
    `void` | `setCompletes(int completes)`
    `void` | `setId(java.lang.String id)`
    `void` | `setInterceptions(int interceptions)`
    `void` | `setOpponent(java.lang.String opponent)`
    `void` | `setPassingTd(int passingTd)`
    `void` | `setPassingYards(int passingYards)`
    `void` | `setReceptions(int receptions)`
    `void` | `setReceptionYards(int receptionYards)`
    `void` | `setRushes(int rushes)`
    `void` | `setRushYards(int rushYards)`
    `void` | `setTeam(java.lang.String team)`
    `void` | `setTotalTd(int totalTd)`
    `void` | `setWeek(int week)`
    `void` | `setYear(int year)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Game

          public Game()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns:
        the id

    - #### getYear

          public int getYear()

      Returns:
        the year

    - #### getTeam

          public java.lang.String getTeam()

      Returns:
        the team

    - #### getWeek

          public int getWeek()

      Returns:
        the week

    - #### getOpponent

          public java.lang.String getOpponent()

      Returns:
        the opponent

    - #### getCompletes

          public int getCompletes()

      Returns:
        the completes

    - #### getAttempts

          public int getAttempts()

      Returns:
        the attempts

    - #### getPassingYards

          public int getPassingYards()

      Returns:
        the passingYards

    - #### getPassingTd

          public int getPassingTd()

      Returns:
        the passingTd

    - #### getInterceptions

          public int getInterceptions()

      Returns:
        the interceptions

    - #### getRushes

          public int getRushes()

      Returns:
        the rushes

    - #### getRushYards

          public int getRushYards()

      Returns:
        the rushYards

    - #### getReceptions

          public int getReceptions()

      Returns:
        the receptions

    - #### getReceptionYards

          public int getReceptionYards()

      Returns:
        the receptionYards

    - #### getTotalTd

          public int getTotalTd()

      Returns:
        the totalTd

    - #### setId

          public void setId(java.lang.String id)

      Parameters:
        `id` - the id to set

    - #### setYear

          public void setYear(int year)

      Parameters:
        `year` - the year to set

    - #### setTeam

          public void setTeam(java.lang.String team)

      Parameters:
        `team` - the team to set

    - #### setWeek

          public void setWeek(int week)

      Parameters:
        `week` - the week to set

    - #### setOpponent

          public void setOpponent(java.lang.String opponent)

      Parameters:
        `opponent` - the opponent to set

    - #### setCompletes

          public void setCompletes(int completes)

      Parameters:
        `completes` - the completes to set

    - #### setAttempts

          public void setAttempts(int attempts)

      Parameters:
        `attempts` - the attempts to set

    - #### setPassingYards

          public void setPassingYards(int passingYards)

      Parameters:
        `passingYards` - the passingYards to set

    - #### setPassingTd

          public void setPassingTd(int passingTd)

      Parameters:
        `passingTd` - the passingTd to set

    - #### setInterceptions

          public void setInterceptions(int interceptions)

      Parameters:
        `interceptions` - the interceptions to set

    - #### setRushes

          public void setRushes(int rushes)

      Parameters:
        `rushes` - the rushes to set

    - #### setRushYards

          public void setRushYards(int rushYards)

      Parameters:
        `rushYards` - the rushYards to set

    - #### setReceptions

          public void setReceptions(int receptions)

      Parameters:
        `receptions` - the receptions to set

    - #### setReceptionYards

          public void setReceptionYards(int receptionYards)

      Parameters:
        `receptionYards` - the receptionYards to set

    - #### setTotalTd

          public void setTotalTd(int totalTd)

      Parameters:
        `totalTd` - the totalTd to set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`